<?php

declare(strict_types=1);

namespace App\Http\Requests\Post;

use App\Http\Requests\InvalidDataResponseTrait;
use Illuminate\Foundation\Http\FormRequest;

class DestroyPostRequest extends FormRequest
{
    use InvalidDataResponseTrait;

    /**
     * @return array<string, string>
     */
    public function all($keys = null): array
    {
        $request = parent::all($keys);

        $request['id'] = $this->route('id');

        return $request;
    }


    public function authorize(): bool
    {
        return true;
    }

    /**
     * @return array<string, string>
     */
    public function rules(): array
    {
        return [
            'id' => 'required|integer|min:0',
        ];
    }
}
