<?php

declare(strict_types=1);

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\ResourceCollection;
use OpenApi\Annotations as OA;

/**
 * @OA\Schema(
 *     schema="PostCollection",
 *     type="array",
 *     title="Post Collection",
 *     description="A collection of PostResource",
 *     @OA\Items(ref="#/components/schemas/PostResource")
 * )
 */
class PostCollection extends ResourceCollection
{
    /**
     * @param Request $request
     * @return array<string, mixed>|\Illuminate\Contracts\Support\Arrayable<string, mixed>|\JsonSerializable
     */
    public function toArray(Request $request): array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
    {
        return parent::toArray($request);
    }
}
