<?php

declare(strict_types=1);

namespace App\Services\Category;

use App\Models\Category;
use App\Services\PaginableResource;
use App\Services\QueryRequestModifiers\Category\CategoryFilterDTO;
use App\Services\QueryRequestModifiers\Category\CategoryOrderDTO;

interface CategoryServiceInterface
{
    /**
     * @return PaginableResource<Category>
     */
    public function fetchCategories(int $page, ?CategoryFilterDTO $filters, ?CategoryOrderDTO $orderDef): PaginableResource;

    public function findCategory(int $id): ?Category;

    /**
     * @param array<string, mixed> $data
     * @return Category
     */
    public function storeCategory(array $data): Category;

    /**
     * @param array<string, mixed> $data
     */
    public function updateCategory(array $data, int $id): ?Category;

    public function deleteCategory(int $id): bool;
}
