<?php

use App\Http\Controllers\CategoryController;
use App\Http\Controllers\CommentController;
use App\Http\Controllers\PostController;
use Illuminate\Support\Facades\Route;

Route::get('v1/posts/{page}', [PostController::class, 'list']);
Route::post('v1/posts', [PostController::class, 'store']);
Route::get('v1/post/{id}', [PostController::class, 'show']);
Route::put('v1/post/{id}', [PostController::class, 'update']);
Route::delete('v1/post/{id}', [PostController::class, 'destroy']);

// comments
Route::get('v1/post/{post_id}/comments/{page}', [CommentController::class, 'list']);
Route::post('v1/post/{post_id}/comments', [CommentController::class, 'store']);
Route::delete('v1/post/{post_id}/comment/{id}', [CommentController::class, 'destroy']);
Route::put('v1/post/{post_id}/comment/{id}', [CommentController::class, 'update']);

// categories
Route::post('v1/categories', [CategoryController::class, 'store']);
Route::get('v1/categories/{page}', [CategoryController::class, 'list']);
Route::get('v1/category/{id}', [CategoryController::class, 'show']);
Route::put('v1/category/{id}', [CategoryController::class, 'update']);
Route::delete('v1/category/{id}', [CategoryController::class, 'destroy']);
